Commit 30d80001 authored by pedro_morgan's avatar pedro_morgan
Browse files

Minor correction to INSTALL_DEBIAN

parent e5f4d29b
Installation Installation
----------- -----------
It is recommended to use a clean (fresh) debian etch install where you just selected "Standard System" as package selection during setup. Then follow the steps below to prepare your server for ISPConfig 3: It is recommended to use a clean (fresh) Debian etch install where you just selected "Standard System" as the package selection during setup. Then follow the steps below to setup your server with ISPConfig 3:
1) Install Postfix, Courier, Saslauthd, MySQL, phpMyAdmin with one single command (one line!): 1) Install Postfix, Courier, Saslauthd, MySQL, phpMyAdmin with the following command line (on one line!):
apt-get install postfix postfix-mysql postfix-doc mysql-client mysql-server courier-authdaemon courier-authlib-mysql courier-pop courier-pop-ssl courier-imap courier-imap-ssl postfix-tls libsasl2 libsasl2-modules libsasl2-modules-sql sasl2-bin libpam-mysql openssl courier-maildrop getmail4 apt-get install postfix postfix-mysql postfix-doc mysql-client mysql-server courier-authdaemon courier-authlib-mysql courier-pop courier-pop-ssl courier-imap courier-imap-ssl postfix-tls libsasl2 libsasl2-modules libsasl2-modules-sql sasl2-bin libpam-mysql openssl courier-maildrop getmail4
...@@ -25,7 +25,7 @@ apt-get install amavisd-new spamassassin clamav clamav-daemon zoo unzip bzip2 ar ...@@ -25,7 +25,7 @@ apt-get install amavisd-new spamassassin clamav clamav-daemon zoo unzip bzip2 ar
apt-get install apache2 apache2.2-common apache2-doc apache2-mpm-prefork apache2-utils libexpat1 ssl-cert libapache2-mod-php5 php5 php5-common php5-gd php5-mysql php5-imap phpmyadmin apt-get install apache2 apache2.2-common apache2-doc apache2-mpm-prefork apache2-utils libexpat1 ssl-cert libapache2-mod-php5 php5 php5-common php5-gd php5-mysql php5-imap phpmyadmin
Then run: Then run the following to enable the Apache modules:
a2enmod suexec a2enmod suexec
a2enmod rewrite a2enmod rewrite
...@@ -49,25 +49,27 @@ apt-get install vlogger webalizer ...@@ -49,25 +49,27 @@ apt-get install vlogger webalizer
7) Install ISPConfig 3 7) Install ISPConfig 3
There are 2 possile cenarias a) Insatll the latest alpha 2 or b) install directly from SVN. You just have to do either a) or b) but not both! There are two possile scenarios, but not both:
1) Install the latest alpha
2) Install directly from SVN
apt-get install php5-cli apt-get install php5-cli
a) Installation of alpha 2 1) Installation of alpha 2
cd /tmp cd /tmp
wget http://www.ispconfig.org/downloads/ISPConfig_3.0.0.2-alpha.tar.gz wget http://www.ispconfig.org/downloads/ISPConfig_3.0.0.2-alpha.tar.gz
tar xvfz ISPConfig_3.0.0.2-alpha.tar.gz tar xvfz ISPConfig_3.0.0.2-alpha.tar.gz
cd ISPConfig_3.0.0.2-alpha/install/ cd ISPConfig_3.0.0.2-alpha/install/
b) Installation from SVN 2) Installation from SVN
cd /tmp cd /tmp
svn export svn://svn.ispconfig.org/ispconfig3/trunk/ svn export svn://svn.ispconfig.org/ispconfig3/trunk/
cd trunk/install cd trunk/install
a+b) Now proceed with the ISPConfig installation. 1+2) Now proceed with the ISPConfig installation.
The installer does not ask any questions yet, so everything must be edited in the config file before you start the installer. The installer does not ask any questions yet, so everything must be edited in the config file before you start the installer.
...@@ -99,4 +101,4 @@ the default login is: ...@@ -99,4 +101,4 @@ the default login is:
user: admin user: admin
password: admin password: admin
In case you get a permission denied error from apache, please restart the apache webserver process. In case you get a permission denied error from apache, please restart the apache webserver process.
\ No newline at end of file
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment